Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab.domino
Class NoticeTypeEnum

    java.lang.Object
      |
      +--com.compoze.collab.CollabEnum
            |
            +--com.compoze.collab.domino.NoticeTypeEnum

All Implemented Interfaces:
  com.compoze.collab.util.IDigestSupport, java.io.Serializable

public class NoticeTypeEnum
extends CollabEnum
implements java.io.Serializable

An enumeration of the notice types. The enumeration class that contains `NoticeType` elements.

See Also:
  Serialized Form

Field Summary
`static NoticeType` | `ACCEPTED` The accepted notice type.
`static NoticeType` | `ACCEPTED_INVITATION` The accepted invitation notice type.
`static NoticeType` | `ACCEPTED_TENTATIVELY` The accepted tentatively notice type.
`static NoticeType` | `ACCEPTED_TENTATIVELY_INVITATION` The accepted tentatively invitation notice type.
`static NoticeType` | `CANCELLED` The cancelled notice type.
`static NoticeType` | `COMPLETED` The completed notice type.
`static NoticeType` | `CONFIRMED` The confirmed notice type.
`static NoticeType` | `COUNTER_DECLINED` The counter declined notice type.
`static NoticeType` | `COUNTERED` The countered notice type.
`static NoticeType` | `COUNTERED_INVITATION` The countered invitation notice type.
`static NoticeType` | `DECLINED` The declined notice type.
`static NoticeType` | `DECLINED_INVITATION` The declined invitation notice type.
`static NoticeType` | `DELEGATED` The delegated notice type.
`static NoticeType` | `DELEGATED_INVITATION` The delegated invitation notice type.
`static NoticeType` | `INVITATION` The invitation notice type.
`static NoticeType` | `INVITATION_DELEGATE` The invitation delegate notice type.
`static int` | `NUM_ELEMENTS`
`static NoticeType` | `REQUEST_INFO` The request info notice type.
`static NoticeType` | `RESCHEDULED` The rescheduled notice type.
`static NoticeType` | `RESOURCE_ERROR` The resource error notice type.
`static NoticeType` | `UPDATED_INFO` The updated info notice type.
`static int` | `VALUE_ACCEPTED`
`static int` | `VALUE_ACCEPTED_INVITATION`
`static int` | `VALUE_ACCEPTED_TENTATIVELY`
`static int` | `VALUE_ACCEPTED_TENTATIVELY_INVITATION`
`static int` | `VALUE_CANCELLED`
`static int` | `VALUE_COMPLETED`
`static int` | `VALUE_CONFIRMED`
`static int` | `VALUE_COUNTER_DECLINED`
`static int` | `VALUE_COUNTERED`
`static int` | `VALUE_COUNTERED_INVITATION`
`static int` | `VALUE_DECLINED`
`static int` | `VALUE_DECLINED_INVITATION`
`static int` | `VALUE_DELEGATED`
`static int` | `VALUE_DELEGATED_INVITATION`
`static int` | `VALUE_INVITATION`
`static int` | `VALUE_INVITATION_DELEGATE`
`static int` | `VALUE_REQUEST_INFO`
`static int` | `VALUE_RESCHEDULED`
`static int` | `VALUE_RESOURCE_ERROR`
`static int` | `VALUE_UPDATED_INFO`

Fields inherited from class com.compoze.collab.CollabEnum
`m_elements`

Constructor Summary
`protected` | `NoticeTypeEnum(java.lang.Class elementClass, int iNumElements, com.compoze.collab.resource.ResourceBundleWrapper rbWrapper, EnumElement defaultElement, java.lang.String sInternalName, boolean bMaskable)` Constructor.
`protected` | `NoticeTypeEnum(int iNumElements)`

Method Summary
`static CollabEnum` | `i()` Gets the singleton.

Methods inherited from class com.compoze.collab.CollabEnum
`addElement, getDefaultElement, getElement, getElements, getInternalName, getRawElements, getResourceBundle, isDefaultElement, setDefaultElement, updateDigest`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VALUE_INVITATION

    public static final int VALUE_INVITATION

### VALUE_INVITATION_DELEGATE

    public static final int VALUE_INVITATION_DELEGATE

### VALUE_ACCEPTED_INVITATION

    public static final int VALUE_ACCEPTED_INVITATION

### VALUE_DECLINED_INVITATION

    public static final int VALUE_DECLINED_INVITATION

### VALUE_DELEGATED_INVITATION

    public static final int VALUE_DELEGATED_INVITATION

### VALUE_COUNTERED_INVITATION

    public static final int VALUE_COUNTERED_INVITATION

### VALUE_ACCEPTED_TENTATIVELY_INVITATION

    public static final int VALUE_ACCEPTED_TENTATIVELY_INVITATION

### VALUE_ACCEPTED

    public static final int VALUE_ACCEPTED

### VALUE_DECLINED

    public static final int VALUE_DECLINED

### VALUE_DELEGATED

    public static final int VALUE_DELEGATED

### VALUE_COUNTERED

    public static final int VALUE_COUNTERED

### VALUE_COMPLETED

    public static final int VALUE_COMPLETED

### VALUE_ACCEPTED_TENTATIVELY

    public static final int VALUE_ACCEPTED_TENTATIVELY

### VALUE_RESCHEDULED

    public static final int VALUE_RESCHEDULED

### VALUE_CONFIRMED

    public static final int VALUE_CONFIRMED

### VALUE_CANCELLED

    public static final int VALUE_CANCELLED

### VALUE_COUNTER_DECLINED

    public static final int VALUE_COUNTER_DECLINED

### VALUE_REQUEST_INFO

    public static final int VALUE_REQUEST_INFO

### VALUE_UPDATED_INFO

    public static final int VALUE_UPDATED_INFO

### VALUE_RESOURCE_ERROR

    public static final int VALUE_RESOURCE_ERROR

### NUM_ELEMENTS

    public static final int NUM_ELEMENTS

### INVITATION

    public static final NoticeType INVITATION

  The invitation notice type.

### INVITATION_DELEGATE

    public static final NoticeType INVITATION_DELEGATE

  The invitation delegate notice type.

### ACCEPTED_INVITATION

    public static final NoticeType ACCEPTED_INVITATION

  The accepted invitation notice type.

### DECLINED_INVITATION

    public static final NoticeType DECLINED_INVITATION

  The declined invitation notice type.

### DELEGATED_INVITATION

    public static final NoticeType DELEGATED_INVITATION

  The delegated invitation notice type.

### COUNTERED_INVITATION

    public static final NoticeType COUNTERED_INVITATION

  The countered invitation notice type.

### ACCEPTED_TENTATIVELY_INVITATION

    public static final NoticeType ACCEPTED_TENTATIVELY_INVITATION

  The accepted tentatively invitation notice type.

### ACCEPTED

    public static final NoticeType ACCEPTED

  The accepted notice type.

### DECLINED

    public static final NoticeType DECLINED

  The declined notice type.

### DELEGATED

    public static final NoticeType DELEGATED

  The delegated notice type.

### COUNTERED

    public static final NoticeType COUNTERED

  The countered notice type.

### COMPLETED

    public static final NoticeType COMPLETED

  The completed notice type.

### ACCEPTED_TENTATIVELY

    public static final NoticeType ACCEPTED_TENTATIVELY

  The accepted tentatively notice type.

### RESCHEDULED

    public static final NoticeType RESCHEDULED

  The rescheduled notice type.

### CONFIRMED

    public static final NoticeType CONFIRMED

  The confirmed notice type.

### CANCELLED

    public static final NoticeType CANCELLED

  The cancelled notice type.

### COUNTER_DECLINED

    public static final NoticeType COUNTER_DECLINED

  The counter declined notice type.

### REQUEST_INFO

    public static final NoticeType REQUEST_INFO

  The request info notice type.

### UPDATED_INFO

    public static final NoticeType UPDATED_INFO

  The updated info notice type.

### RESOURCE_ERROR

    public static final NoticeType RESOURCE_ERROR

  The resource error notice type.

Constructor Detail

### NoticeTypeEnum

    protected NoticeTypeEnum(java.lang.Class elementClass,
                             int iNumElements,
                             com.compoze.collab.resource.ResourceBundleWrapper rbWrapper,
                             EnumElement defaultElement,
                             java.lang.String sInternalName,
                             boolean bMaskable)

  Constructor.

### NoticeTypeEnum

    protected NoticeTypeEnum(int iNumElements)

Method Detail

### i

    public static CollabEnum i()

  Gets the singleton.

Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2005 BEA Systems, Inc. All rights reserved.